#ifndef MODMANAGER_H
#define MODMANAGER_H

#include <QtGui/QDialog>
#include <QVector>
#include <QTableWidgetItem>
#include <QString>
#include <QMessageBox>
#include "gamemanager.h"
#include "mod.h"
#include "settings.h"
#include "modprofile.h"

namespace Ui {
    class ModManager;
}

class ModManager : public QDialog {
    Q_OBJECT
public:
    ModManager(QWidget *paren,bool newProfile, ModProfile profile);
    ~ModManager();
    QString getProfileName();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::ModManager *m_ui;
    void init(bool newProfile);
    bool validProfile();
    void saveProfile();
    bool newProfile;
    ModProfile currentProfile;

private slots:

private slots:
    void on_okButton_clicked();
    void on_cancelButton_clicked();
};

#endif // MODMANAGER_H
