#ifndef INSTALLMODWINDOW_H
#define INSTALLMODWINDOW_H

#include <QtGui/QDialog>
#include <QFileDialog>
#include <QFile>
#include <QStringList>
#include "settings.h"
#include <QMessageBox>
#include <QString>
#include <QDir>

namespace Ui {
    class InstallModWindow;
}

class InstallModWindow : public QDialog {
    Q_OBJECT
public:
    InstallModWindow(QWidget *parent = 0);
    ~InstallModWindow();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::InstallModWindow *m_ui;
private slots:
    void on_cancelButton_clicked();
    void on_installButton_clicked();
    void on_browseButton_clicked();
};

#endif // INSTALLMODWINDOW_H
