#ifndef MODPROFILE_H
#define MODPROFILE_H

#include <QVector>
#include <QString>
#include "mod.h"
class ModProfile
{
public:
    ModProfile();
    QString getProfileName();
    void setProfileName(QString name);
    void addMod(Mod mod);
    bool modExistsByFilename(QString fileName);
    bool operator==(const ModProfile &other) const;
    QVector<class Mod> orderedMods;
    QVector<class Mod> selectedMods;
private:

    QString profileName;
};

#endif // MODPROFILE_H
