#ifndef MODPROFILEWINDOW_H
#define MODPROFILEWINDOW_H

#include <QtGui/QDialog>
#include "modmanager.h"
#include "modorderwindow.h"
#include "installmodwindow.h"

namespace Ui {
    class ModProfileWindow;
}

class ModProfileWindow : public QDialog {
    Q_OBJECT
public:
    ModProfileWindow(QWidget *parent = 0);
    ~ModProfileWindow();
    QString getSelectedProfile();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::ModProfileWindow *m_ui;
    void init();
    QString selectedProfile;

private slots:
    void on_installButton_clicked();
    void on_loadOrderButton_clicked();
    void on_deleteButton_clicked();
    void on_editButton_clicked();
    void on_selectButton_clicked();
    void on_newButton_clicked();
    void on_modProfiles_itemSelectionChanged();
    void on_cancelButton_clicked();
};

#endif // MODPROFILEWINDOW_H
